Help NETWORK SETTINGS Use SonicIP If set to "yes", the device will announce its IP address over the audio output during device startup. Default: "yes" IP Address Enter the 4 values of the desired device IP address e.g.: "0.0.0.0" for automatic discovery (DHCP/BOOTP, IPzator, AutoIP) "192.168.0.12" for an internal LAN Default: "0.0.0.0" Netmask Enter the 4 values of the desired Static IP e.g.: "0.0.0.0" for a default Netmask depending on the used IP Address. "255.255.255.0" for a C class network Default: "255.255.255.0" Gateway IP Address Enter the 4 values of the desired Gateway IP address e.g.: "0.0.0.0" for no Gateway "192.168.0.1" for a Gateway in a LAN Note: The Gateway has to be set only when connecting to other devices over the WAN (through a router). Default: "0.0.0.0" Primary DNS In this field you can give the Exstreamer the desired primary DNS IP address to be able to connect to URLs (e.g. www.radio.com). Example: "195.186.1.111" Default: "0.0.0.0" Alternative DNS In this field you can give the Exstreamer the desired alternative DNS IP address in case the primary DNS is not reachable. Example: "195.186.4.111" Default: "0.0.0.0" Syslog Address Destination address for syslog messages sent by the BCL program via the SYSLOG command. Set this to your syslog logging machine, if your syslog messages are recorded centrally. If set to 0.0.0.0, syslog messages are broadcast. Default: "0.0.0.0" DHCP Host Name Name of the device sent in DHCP request. If left empty, a name based on the device's MAC address is generated automatically. Enter up to 15 Characters. Web Server Port Defines the port where the webserver of the Barix Exstreamer can be reached. If set to "0" the default HTTP port (80) is used. "); &LState(2,"%s",28,17,"-->"); Default Ethernet Port On devices with dual-ethernet connection this parameter selects the default port to be used. In most cases selecting ETH1 is suitable, however some devices (e.g. the PS16) provide Power-over-Ethernet (PoE) functionality on ETH2. If you change this parameter do not forget to connect the ethernet cable to the proper port on the rear of the device. Default: "ETH1" QoS/DSCP Quality of Service/Differenciated Service Code Point (DSCP). If this field is set, QoS in IP header will set to this value while forwarding packets to destination hosts or routers. This supersedes the IP4 Type of Service (ToS) value and uses the same byte.Valid values are 0-63. Default value: 0. SNMP System Name SNMP MIB entry for system name (system.sysName.0) SNMP System Location SNMP MIB entry for system location (system.sysLocation.0) SNMP System Contact SNMP MIB entry for system contact (system.sysContact.0) This parameter can be queried using any SNMP browser but can not be updated.
Help SIP PROTOCOL SETTINGS Peer to Peer Choose whether peer to peer calls should be allowed. NOTE:When using P2P, the device uses always the default SIP (port 5060) and RTP (port 5004) ports. Make sure the remote peer is configured to listen on the default ports as well. SIP Server (PBX) Enter either the hostname/IP address of a SIP server. SIP ID Enter the SIP ID (username) that has been created for this device. Backup SIP Server (PBX) Enter either the hostname/IP address of of the backup SIP server if you have one. In case when the main server is not available, the device will try to register to the second one. Once registered to the Backup SIP server, the device will try at every registration period to register first to the primary server. Note:The backup server shall be configured to require the same credentials as on the first one. SIP Password Leave this field empty if the PBX doesn't require authentication. SIP Display ID Enter the description that you like to have displayed on the remote peer when ringing. Authentication ID Enter the Authentication ID given by your SIP provider to use for authentication (if it is different than the SIP ID). Most often you do not need to fill in anything, just leave it empty to use the SIP ID for authentication. Listen SIP Port Listening port for the SIP protocol messages. A value of 0 means a default value of 5060. Listen RTP Port Listening port for the RTP audio blocks. A value of 0 means a default value of 5004. Default REGISTER Time The value that the SIP client suggests to the SIP server when sending the REGISTER request. If this value is accepted by the SIP server, the SIP client has to register after this amount of time. Allowed values in the range of 60-3600 seconds. NOTE: The SIP server may overwrite this value in its reply to the REGISTER request. Default: 1800 seconds Send NAT-Keepalives Enable this function if the device resides behind a NAT. NOTE: NAT-Keepalive packets are sent only when there is an active call. Default: Disabled Periodically Renew DNS If enabled, it will force the SIP client to renew the DNS of the SIP server every time the registration to the server fails. Use this feature if you have a backup SIP server with the same DNS name and you wish to enable the SIP client to switch to it if the main server fails. Note:This option is mutually exclusive with the "Backup SIP Server (PBX)" setting. When this option is enabled, it will prevent the SIP client from switching to the backup SIP server, and it will stay to the one that has been selected at boot time. In this case the SIP client will keep on resolving the same SIP server name. Registration Fail Timeout The SIP client will automatically resolve the DNS of the SIP server if the REGISTER request fails. However, if the SIP server is down, or the REGISTER message gets lost, the SIP client will not get reply from the server. So configure here the timeout after sending a REGISTER request on the expiry of which the registration will be considered as "failed" in case of no reply from the SIP server. NOTE 1: Use this feature with caution. Setting this value too low may result in registration malfunctioning. If unsure, leave it to the default value. Default: 10 seconds Call Timeout Enter here in minutes (1-255) the maximum duration of the call. After the expiry of this timeout the call will be unconditionally closed. Default: 0 (disabled) Blind Call Transfer Enables the support for the SIP REFER method that is needed to perform the blind call transfer. This option is available only in "SIP Phone" profile. When activated, the user cannot use anymore any button to close the call. Instead, only the button, that has been pressed to start the call, can be used to close it. Pressing any other button will transfer the remote party to the peer with the associated to that button ID. For more information how to use this feature please refer to the user manual. NOTE: This setting is ignored if "Peer to Peer" mode is enabled. Default: Disabled Debug Mode Sends received or sent SIP messages through Syslog.
Help OUTBOUND CALL SETTINGS Auto Hangup Time If enabled, the device will automatically hang-up after the configured amount of time if no one answers the call. This option is suitable for door station panels that have only one ring button, and no button to cancel the initiated call. Values: 5 to 90 seconds. Default: 0 (disabled) Note: When the Auto Hangup Time is disabled, a second press on the Input0/1 button will cancel the started call setup. Please do not disable it if the device is intended to be used as doorstation.If the call is not cancelled with a second button press, the SIP client will anyway unconditionally drop the call after 120 seconds. Call on Level If enabled, call can be initiated by audio level. If set to "Yes", then Call on Level ID, Level Threshold and Close Call on Level options are also visible. NOTE: Call on level is unsupported with "Background Music" enabled. Call on Level ID SIP extension of the device that will be called on audio level detection. In case of using "Peer to Peer" mode, enter here the ID and the IP address of the remote peer, for example: 1234@192.168.0.123 Level Threshold Minimal audio level to initiate a call. If the input audio level reaches at least the configured threshold, a call wiil be initiated. The same threshold level is used to terminate the call if the Close Call on Level option is enabled Values: 0 to 32767. Default: 1000 Close Call on Level When enabled, and the input peak level is below the level threshold for the configured amount of time, the call is terminated. Values: 5 to 30 seconds. Default: 0 (disabled) Beep On Call Answer If enabled, the SIP client will play a short beep sound when the remote party answers the call. Default: Off Enable Analog Phone Interface Enable SIP call flow to interface to a standard analog phone. When this option is selected, the device will initiate a SIP call on transition to input closed (off-hook) and cancel/hang-up it on transition to input open(on-hook). Note:This option is valid only for Annuncicom 60 devices in SIP Phone mode. Default: "Off (disabled)" Call on Device Inputs Extensions to be called when the correspondent input is closed. The available number of inputs depends from the Barix hardware model. In case of using "Peer to Peer" mode, enter here the ID, IP address and the SIP port (if not using the default port 5060) of the remote peers, for example: 1234@192.168.0.123:5062 Note:Some SIP phones do not accept P2P calls with user ID in the SIP URI. If this is the case, then use just the remote IP address (and port if needed), for example: 192.168.0.123:5062 Call on X8 Inputs Fields allow to assign a SIP extension to be called when an input contact closes, for every available X8 input. In case of using "Peer to Peer" mode, enter here the ID and the IP address of the remote peers, for example: 1234@192.168.0.123 NOTE: these fields are visible and can be set only if the X8 hardware extension is detected.
Help INBOUND CALLS Input Buffer Level Maximum delay of the input audio buffer in milliseconds. Decrease this value to minimize delay, increase this value to prevent audio dropouts. Default setting is "300" ms. Phone Pickup Mode Choose how calls should be answered. autoanswer : the call is auto-answered. autopick up after timeout : in this mode the bell button is used to answer and terminate a call. If the call is not answered inside "Pick/Hang up After" time period, the device will answer. autohang up after timeout : (default) in this mode the bell button is used to answer and terminate the call. If the call is not answered inside "Pick/hang up after" time period, the device will decline the call. not callable : in this mode incoming calls will be declined. Pick/Hang up After Set pick/hang up delay if no answer. Only active if the phone pickup mode is set to manual. Stream Timeout In some scenarios the remote party may go offline without explicitly closing the active call. In this case the SIP client may stay in active call state for unlimited amount of time. Set here the time in minutes after which the SIP client will close the active call if there is no audio stream received. You can change between 0 and 600 minutes. NOTE: Please have in mind that this setting is ignored and reset to "disabled" if you select SIP Monitoring Point profile. Default setting is "0 min (disabled)" Beep On Call Answer If enabled, the SIP client will play a short beep sound when the incoming call is answered. Default: Off Door Open Code Set the secret code to open the door by entering this DTMF sequence while communicating with the device. When the sequence is detected from the remote peer, the first relay contact is closed. Leave it empty to disable this functionality. Open Door Relay for Set the contact closure duration. After this period, the relay contact is switched back to open. Enable Relay Select here when you would like to have the relay enabled. Default setting is "on call answer" Relay Number to Enable Select here the relay number that you would like to have automatically switched on depending on the "Enable Relay" setting. The number of the available relays varies for the different Barix devices. If invalid relay number is selected, it will be ignored. Default setting is "disabled" NOTE: The status of the relay can still be modified with a DTMF command.
Help AUDIO SETTINGS Input Source Select the desired input source. Default setting is "Mic". Encoding Choose between "uLaw", "aLaw", or G.722. Note: The G.722 selection option is visible only if supported by the HW. Default setting is "uLaw". Volume Choose between "0%" and "100%" in 5% steps. Default: "50%" Microphone Gain Microphone gain dB, increase if your microphone is too faint, decrease if it's too loud or overdriven. Default: "21dB" A/D Amplifier Gain A/D converter preamplification in dB. Increase if the audio signal too faint, decrease if it's too loud or overdriven. Default: "0dB" Talk Mode Choose between Fullduplex and Halfduplex talk mode. This option is available only in SIP Door Station profile. When selected, the user has also the possibility to enable the support for AI Phone door panels. Default: "FDX" at factory defaults, and "HDX" when the SIP Door Station Profile is applied Output Trigger Level Defines the audio level from the incoming audio RTP stream which will trigger the SIP client in "listen" mode. This setting is ignored if the door station is configured in FDX mode. Values: 0 to 32767. Default: "1000" Trigger Level Timeout Defines the timeout in milliseconds, after which if no audio is detected from the incoming RTP stream, the SIP Client should switch back to "talk" mode. This setting is ignored if the door station is configured in FDX mode. Default: "200 ms" AI Phone Support Enable or disable here the support for AI Phone door panels. This option is available only in SIP Door Station mode and is automatically set to "No" if FDX talk mode or other profile is selected. Default: "No" Acoustic Echo Cancellation Enable or disable the AEC here. Note: The AEC option is visible only if supported by the HW.
Help CONTROL INTERFACES Serial Control Support Enables the serial control support on serial port 0. NOTE: enabling this setting will automatically disable the X8 support. UDP Control Port Set the UDP control port. A value of 0 disables UDP control support. TCP Control Port Set the TCP control port. A value of 0 disables TCP control support. Use Serial Port For These settings adjust the purpose of the serial port. You can use between the following values: X8 Extension: In this mode the serial port is used to connect the Barix X8 extension. Serial Control Interface: In this mode the serial port is used to send commands to the SIP client. For more information how to use it please refer to the SIP User Manual. Serial GW, TCP, passive: When enabled, the SIP client is waiting for a telnet connection on the specified port. Once established, data can be transmitted between COM port 1, and the host that has established the TCP connection. Default: "X8 Extension" Serial GW TCP port Configure here the TCP port for the passive TCP Serial Gateway. This option is visible only if passive TCP GW is selected. Default: "0 (disabled)" Baud Rate Select the serial transmission speed ("300" to "230400" Baud). Default: "9600" Data Bits Select "7" or "8" data bits. Default: "8" Parity Select "no", "even" or "odd" parity. Default: "no" Stop Bits Select "1" or "2" stop bits. Default: "1" Flow Control Select the type of flow control: RTS/CTS signals not used: "none" RS232: "Software flow control(XON/XOFF)" or "Hardware flow control (RTS/CTS)" RS485: "RS485 direction control" Default: "none"
Help AUDIO REBROADCAST SETTINGS Rebroadcast IP Address Set the audio rebroadcast IP address. Rebroadcast Port Set the audio rebroadcasting port. A value of 0 disable the audio rebroadcasting feature. NOTE: Rebroadcast will start only if rebroadcast IP:PORT fields are set, using the DTMF start/stop commands. BACKGROUND MUSIC SETTINGS BGM Address Set the BGM listening address. BGM Port Set the BGM listening port. If this field is not 0, the BGM listening service is enabled. BGM service listen for a RTP-MP3 incoming stream. BGM Volume Set the BGM playback volume. BGM Buffer Set the BGM palyback delay buffer in milliseconds. NOTE: Using both rebroadcast and background music playback is not supported! NOTIFICATION MESSAGE SETTINGS Notification Audio IP Address Configure the notification audio listening address here. Multicast is also supported. Notification Port Set the notification audio listening port. If this field is not 0, the notification message listening service is enabled. Note: The notification audio incoming stream must be RTP. The following payload types are supported: PCM: 8,12,24,32,44.1 kHz MSB mono PCM: 8,12,24,32,44.1 kHz LSB mono PCM: 44.1, 48 kHz MSB/LSB stereo aLaw: 8,12,24,32 kHz mono uLaw: 8,12,24,32 kHz mono Mp3 Notification Volume Set the notification message playback volume. Notification Buffer Set the notification message delay buffer in milliseconds. Use Inbound Calls Relay If set to Yes, and Relay Number to Enable at Call Answer from the Inbound Calls section is enabled, then the specified relay will be activated while the notification message is active. Note: This configuration option is not visible if Relay Number to Enable at Call Answer is set to disabled.
Help SECURITY SETTINGS Reset Function Enable or disable the "Reset" function on the Reset button and on the WEB UI. In order to restart the device press the Reset button once. Default: "enabled" Factory Defaults Enable or disable the "Factory Defaults" function on the Reset button. In order to revert all settings to factory defaults keep the Reset button pressed until the red LED starts blinking (approx. 10 seconds). Default: "enabled" Update Function Enable or disable the WEB Update function of the device. If the Update function is disabled, the only way to update the firmware is to use the serial rescue. Default: "enabled" Set Password This is visible as long as no password is set. Enter a password (up to 25 characters) and hit the "Apply" button. After the restart you should close the browser window and open a new browser window. You will be asked to supply user name and password. The user name can be omitted but the password has to be supplied in order to see the web configuration. Old Password / New Password These fields are visible as long as a password is set. To allow free access (clearing the password) enter the old password and leave the field "New Password" empty, then hit the "Apply" button. After the restart you will not be asked for user name and password anymore. To change the password enter the old password and enter the new password in the field "New Password", then hit the "Apply" button. After the restart you will be asked for user name and password. The user name can be omitted but the new password has to be supplied in order to see the web configuration.